// creator  : weidu.exe (version 23100)
// argument : TRSKIN06.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TRSKIN06~

IF ~Global("tannerplot2","GLOBAL",1)
~ THEN BEGIN 0 // from:
  SAY #44564 /* ~Hold!  I would know what manner of creature you be, before I lower my guard!~ */
  IF ~~ THEN REPLY #44565 /* ~I am a simple <PRO_RACE>, nothing more.~ */ GOTO 1
  IF ~~ THEN REPLY #44566 /* ~I could ask you the same question.~ */ GOTO 2
  IF ~~ THEN REPLY #44567 /* ~I'll be the one who asks the questions, here!~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #44568 /* ~Hmmn.  You did not attack me on sight, so you are not the creature I seek.  Its base cunning would not allow it to go without attacking a lone victim.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #44569 /* ~Ha!  Fairly said!  You have not attacked me, a lone victim, so it is unlikely you are the creature I seek, anyway.  Its base evil cunning would not be so bold.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #44570 /* ~I see.  Since you have not already attacked, I know you are not the creature I seek.  Its evil cunning would cause it to instantly attack a lone victim.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0 2.0 1.0
  SAY #44571 /* ~That said, it is quite fair to say you do not know who I am and may attack me regardless... especially if you are at all aware of the capabilities of my prey.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #44572 /* ~I am Darsidian Moor, and I hunt a creature known as the Skin Dancer, a man-like beast without true flesh of its own.  Now, will you reveal your name?~ */
  IF ~~ THEN REPLY #44573 /* ~I am <CHARNAME>, and I seek a victim who may be held by the creature you seek... and a murderer named Rejiek.~ */ GOTO 6
  IF ~~ THEN REPLY #44574 /* ~My name is none of your concern, but I may be hunting the same creature you speak of.~ */ GOTO 7
  IF ~~ THEN REPLY #44575 /* ~I seek to rescue a woman named Raissa, who was kidnapped by a murderer and a man without skin.~ */ GOTO 8
  IF ~~ THEN REPLY #44576 /* ~No, I will not.  Speak your peace and I shall decide if I let you live.~ */ GOTO 9
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #44577 /* ~I see.  The murderer I do not know... but if he is aiding the Skin Dancer, then he is as much my target as the creature, itself.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 7 // from: 5.1
  SAY #44578 /* ~Are you? That is hard to believe, for never before had I heard of a creature like this.  How do you know of the Skin Dancer?  Does it have victims here?~ */
  IF ~~ THEN REPLY #44583 /* ~It does... a woman by the name of Raissa.~ */ GOTO 10
  IF ~~ THEN REPLY #44584 /* ~I know of a creature without flesh... and it aids a murderer named Rejiek in capturing a local woman.~ */ GOTO 8
  IF ~~ THEN REPLY #44585 /* ~My business is my own... speak your peace and let us be done with it.~ */ GOTO 9
END

IF ~~ THEN BEGIN 8 // from: 7.1 5.2
  SAY #44579 /* ~The murderer I do not know, but the creature you describe is none other than my quarry.  And if he has this woman in his possession, then we must move quickly.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 9 // from: 7.2 5.3
  SAY #44580 /* ~I have spoken all I need to.  If you have no information on the Skin Dancer, then I will follow what leads I have found here, and combat the creature on my own.~ */
  IF ~~ THEN REPLY #44586 /* ~I would go with you, for I have reason to fight this creature, as well.~ */ GOTO 14
  IF ~~ THEN REPLY #44587 /* ~Tell me where the creature lies... he has a victim that I intend to rescue.~ */ GOTO 12
  IF ~~ THEN REPLY #44588 /* ~You will go nowhere!  I do not trust your motives!~ */ GOTO 18
  IF ~~ THEN REPLY #44589 /* ~Very well... go, if you wish.~ */ GOTO 19
END

IF ~~ THEN BEGIN 10 // from: 8.0 7.0 6.0
  SAY #44581 /* ~He would only capture a victim if he meant to use his dark magic to create another like himself.  Otherwise he would have consumed her flesh on the spot.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #15805 /* ~Helping Tiris in Trademeet

The man I met at the woods, Darsidian Moor, inferred that the skinless creature may have captured Raissa to remove her skin and create another like himself... else it would have consumed her flesh on the spot.  What the creature's connection to Rejiek might be, I have no idea.~ */ GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #44582 /* ~No, I must follow the leads I have found here and confront this creature once and for all.  Tell me, then, will you aid me in killing this creature of evil?~ */
  IF ~~ THEN REPLY #44590 /* ~Tell me where this creature is, first.  My only intention is to rescue his victim.~ */ GOTO 12
  IF ~~ THEN REPLY #44591 /* ~Yes, I will go with you... the murderer who is with this Skin Dancer must be stopped as surely as the creature, itself.~ */ GOTO 14
  IF ~~ THEN REPLY #44592 /* ~No, you go... rescue the girl, if you can.~ */ GOTO 16
  IF ~~ THEN REPLY #44593 /* ~I don't trust your motives... I'm not about to go anywhere with you!~ */ GOTO 18
END

IF ~~ THEN BEGIN 12 // from: 11.0 9.1
  SAY #44594 /* ~A noble cause, but not easily accomplished.  The Skin Dancer's lair is just north of the East Gate, in a walled-off section of town with an orange pavilion.~ */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 15.0 12.0
  SAY #44595 /* ~I intend to travel ahead and scout out the area.  Meet me there as soon as possible... I could certainly use your aid.~ */
  IF ~~ THEN DO ~SetGlobal("tannerplot2","GLOBAL",2)
CreateCreature("TRSKIN06",[3792.2088],2)
CreateCreature("TRSKIN03",[3726.2038],0)
CreateCreature("TRSKIN01",[3759.1889],14)
EscapeArea()
~ UNSOLVED_JOURNAL #15803 /* ~Helping Tiris in Trademeet

I went to the place Tiris described, but met only a man named Darsidian Moor who claimed to be hunting the skinless creature who is with Rejiek.  He calls it a 'Skin Dancer' and believes the creature to be at a walled-off area of the town just north of the east gate, in an orange pavilion... and has left to confront it.  He asks that I meet him there as soon as possible.~ */ EXIT
END

IF ~~ THEN BEGIN 14 // from: 11.1 9.0
  SAY #44596 /* ~Excellent.  I know, now, who you are... you are the recently-anointed saviors of this town, yes?  Obviously you have earned your reputation through good deeds.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 17.0 14.0
  SAY #44597 /* ~I have found several clues.  I suspect the creature's lair is just north of the East Gate, in a walled off section of town with an orange pavilion.~ */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 16 // from: 11.2
  SAY #44598 /* ~Very well, although I doubt the Skin Dancer will give her up to me willingly. I recognize you, now... you are the recently-anointed heroes of this town, no?~ */
  IF ~~ THEN GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 19.0 18.0 16.0
  SAY #44599 /* ~If you are the skilled adventurers that everyone speaks of, I could certainly use your help.  The Skin Dancer is a powerful foe.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 18 // from: 11.3 9.2
  SAY #44600 /* ~As you wish.  I have not asked for your trust, only your help, as I now recognize you as the recently-anointed heroes of this town.~ */
  IF ~~ THEN GOTO 17
END

IF ~~ THEN BEGIN 19 // from: 9.3
  SAY #44601 /* ~I shall.  I recognize you now, however, as the recently-anointed heroes of this town.  Who else would travel about with such an arsenal?~ */
  IF ~~ THEN GOTO 17
END

IF ~Global("tannerplot2","GLOBAL",2)
NumTimesTalkedTo(0)
~ THEN BEGIN 20 // from:
  SAY #44604 /* ~<CHARNAME>!  You have come!  The creature was about to kill the maiden, here, and I was forced to intervene.  His human accomplice is only unconscious, however!~ */
  IF ~~ THEN EXTERN ~TRSKIN03~ 0
END

IF ~~ THEN BEGIN 21 // from: TRSKIN03:0.0
  SAY #44606 /* ~Quickly, <CHARNAME>!  I have been badly hurt, and I do not know if this human accomplice will rise soon or not... kill him now while we have the chance!~ */
  IF ~~ THEN EXTERN ~TRSKIN03~ 1
END

IF ~Global("tannerplot2","GLOBAL",2)~ THEN BEGIN 22 // from:
  SAY #44609 /* ~Quickly!  Do not stall, <CHARNAME>!  You must kill him before he rises!  I do not know how powerful he truly is!~ */
  IF ~~ THEN REPLY #44610 /* ~Very well, I will do as you suggest.~ */ GOTO 23
  IF ~~ THEN REPLY #44611 /* ~Where is this Skin Dancer you spoke of?~ */ GOTO 24
  IF ~~ THEN REPLY #44612 /* ~He is unconscious.  Let us tie him up and turn him over to the authorities.~ */ GOTO 26
  IF ~~ THEN REPLY #44613 /* ~You are right!  Rejiek deserves to die, and there's no telling how dangerous he truly is!~ */ GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.3 22.0
  SAY #44614 /* ~Go, then, and finish him!  (ungh!)  I dare not open myself to another assault.  The Skin Dancer has wounded me badly!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 24 // from: 22.1
  SAY #44615 /* ~It is dead, as I said!  Its... its body has crumbled... that is its nature...~ */
  IF ~~ THEN EXTERN ~TRSKIN03~ 3
END

IF ~~ THEN BEGIN 25 // from: TRSKIN03:5.0 TRSKIN03:3.0
  SAY #44617 /* ~Hsss!  Rejiek, you fool!  This was your only chance to fake your death and escape once and for all!~ */
  IF ~~ THEN EXTERN ~TRSKIN03~ 4
END

IF ~~ THEN BEGIN 26 // from: 22.2
  SAY #44619 /* ~N-no!  He must die, <CHARNAME>!  He... he's a murderer... and...~ */
  IF ~~ THEN EXTERN ~TRSKIN03~ 3
END

IF ~~ THEN BEGIN 27 // from: TRSKIN01:0.0
  SAY #44622 /* ~What are you doing, <CHARNAME>?!  Kill him now!~ */
  IF ~~ THEN EXTERN ~TRSKIN03~ 5
END

IF ~~ THEN BEGIN 28 // from: TRSKIN03:6.0
  SAY #44627 /* ~We were fortunate that he was not given a chance to come to.  There is no telling what he was capable of.~ */
  IF ~~ THEN GOTO 29
END

IF ~~ THEN BEGIN 29 // from: 28.0
  SAY #44628 /* ~My thanks, <CHARNAME>, for your help... as quick as the actual fight, here, may have been.  Without you, however, things could have turned out differently.~ */
  IF ~~ THEN GOTO 30
END

IF ~~ THEN BEGIN 30 // from: 29.0
  SAY #44629 /* ~I will escort the lady Raissa home, if you have no objection.  I am sure her family will be glad to see her.~ */
  IF ~~ THEN REPLY #44630 /* ~Very well.  And I will return to Tiris and tell him he is free to leave once again.~ */ GOTO 31
  IF ~~ THEN REPLY #44631 /* ~Just one thing... where, exactly, is the Skin Dancer?~ */ GOTO 32
  IF ~~ THEN REPLY #44633 /* ~Alright.  I have things to take care of, anyway.~ */ GOTO 31
END

IF ~~ THEN BEGIN 31 // from: 30.2 30.0
  SAY #44636 /* ~Excellent.  Come along, then, Raissa.  You are safe, now.~ */
  IF ~~ THEN EXTERN ~TRSKIN03~ 7
END

IF ~~ THEN BEGIN 32 // from: 30.1
  SAY #44640 /* ~I killed it, <CHARNAME>, as I said.  As, er, for its body... well, the Skin Dancer's magical nature forces its body to crumble on its, ah, death, and...~ */
  IF ~~ THEN EXTERN ~TRSKIN03~ 8
END

IF ~~ THEN BEGIN 33 // from: TRSKIN03:8.0
  SAY #44642 /* ~No, Rejiek!  You fool!  We were almost successful!~ */
  IF ~~ THEN EXTERN ~TRSKIN03~ 9
END

IF ~Global("Attacked","LOCALS",1)
~ THEN BEGIN 34 // from: TRSKIN03:11.0
  SAY #44649 /* ~But... how could they have known?!  Rejiek, we were so close!~ */
  IF ~~ THEN EXTERN ~TRSKIN03~ 12
END
